MACRO(CREA_ADD_EXECUTABLE EXE_NAME)

  IF(CREA_VERBOSE_CMAKE)
    MESSAGE(STATUS "** Creating executable ${EXE_NAME}")
    MESSAGE(STATUS "   Sources  : ${${EXE_NAME}_SOURCES}")
    MESSAGE(STATUS "   Link libs: ${${EXE_NAME}_LINK_LIBRARIES}")
  ENDIF(CREA_VERBOSE_CMAKE)

  IF(WIN32)
    ADD_EXECUTABLE(${EXE_NAME} WIN32 ${${EXE_NAME}_SOURCES})  
  ELSE(WIN32)
    ADD_EXECUTABLE(${EXE_NAME} ${${EXE_NAME}_SOURCES})
  ENDIF(WIN32)
  
  TARGET_LINK_LIBRARIES(${EXE_NAME} ${${EXE_NAME}_LINK_LIBRARIES})

  INSTALL_TARGETS(/bin/ ${EXE_NAME})

ENDMACRO(CREA_ADD_EXECUTABLE)


