#include <creaWx.h>
#include <wx/dirdlg.h>
class myApp : public wxApp
{
public:
  bool OnInit( );
  int  OnExit() { return true; }
};

IMPLEMENT_APP(myApp);
CREA_WXMAIN_WITH_CONSOLE

bool myApp::OnInit( )
{	 
  wxApp::OnInit();
#ifdef __WXGTK__
  //See http://www.wxwindows.org/faqgtk.htm#locale
  setlocale(LC_NUMERIC, "C");
#endif
   wxInitAllImageHandlers();

   wxString dir = wxDirSelector(_T("Select directory in which to create the project"), _T(""), wxDD_DEFAULT_STYLE | wxDD_DIR_MUST_EXIST );
				
   if (dir.IsEmpty()) return false;

   wxString name = wxGetTextFromUser(_T("Enter project name"),
				     _T("creaNewProject"),
				     _T("New"));
   if (name.IsEmpty()) return false;
   
#if(_WIN32)
   std::string command("creaNewProject.bat ");
#else
   std::string command("creaNewProject.sh ");
#endif
   command += crea::wx2std(dir) + " " + crea::wx2std(name);

   if ( ! system ( command.c_str() ) )
     {
       wxMessageBox(_T("Done !"),_T("creaNewProject"),
		    wxOK | wxICON_INFORMATION);
     }
   else 
     {
       wxString err(_T("An error occured while running '"));
       err +=  crea::std2wx(command) + _T("'");
       wxMessageBox(err,_T("creaNewProject"),wxOK | wxICON_ERROR);      
     }

   return false;
}

